gnutls_transport_set_vec_push_function(3)

NAME
gnutls_transport_set_vec_push_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_vec_push_function(gnutls_session_t session, gnutls_vec_push_func vec_func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_vec_push_func vec_func
    a callback function similar to writev()

DESCRIPTION
Using this function you can override the default writev(2) function for gnutls to send data. Setting this callback instead of gnutls_transport_set_push_function() is recommended since it introduces less overhead in the TLS handshake process.
 vec_func is of the form, ssize_t (*gnutls_vec_push_func) (gnutls_transport_ptr_t, const giovec_t * iov, int iovcnt);

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2012 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/